/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.acme.shoppingcart.aliorsum;

import com.acme.shoppingcart.model.*;
import com.eknowlogie.aliorsum.*;
import com.eknowlogie.aliorsum.primitive.*;
import com.eknowlogie.aliorsum.prefs.Access;
import com.eknowlogie.aliorsum.prefs.Prefs;
import com.eknowlogie.business.aliorsum.HomePageHyperLinkUI;

/** <p>This class is used to register the preferences for the shopping cart model 
    objects. </p> 
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class ShoppingCartPrefs {

	public static void register (UIFactory uif) {
	   uif. fieldPrefs(). register ("orderId", Order. class, Prefs. ACCESS, Access. READ_ONLY);
	   uif. fieldPrefs (). register ("quantitySelected", SelectedProduct. class, Prefs. ELEMENTARY_UI_CLASS, CounterUI. class);
	   uif. fieldPrefs (). register ("name", Product. class, Prefs. ELEMENTARY_UI_CLASS, HomePageHyperLinkUI. class);
	   uif. fieldPrefs (). register ("name", Category. class, Prefs. ELEMENTARY_UI_CLASS, HomePageHyperLinkUI. class);
	   uif. fieldPrefs (). register ("quantityInStock", Product. class, Prefs. ACCESS, Access. HIDDEN);
	   uif. fieldPrefs (). register ("keywords", Product. class, Prefs. ACCESS, Access. HIDDEN);
	   uif. classPrefs (). register (Category. class, Prefs. RENDERER, "QualifiedUIRenderer.jsp");
	}
}
