package com.acme.shoppingcart.model;

import java.util.Vector;
import java.util.Iterator;

import com.eknowlogie.business.model.CurrencyDouble;

/** <p>This class represents the shopping cart in the shopping cart 
    application.</p>
*/

public class ShoppingCart {

   /*-------------------------- Begin Fields --------------------------*/

   public Vector selectedProducts = new Vector (); /* Vector of SelectedProduct */

   /*--------------------------- End Fields ---------------------------*/

   /*------------------------- Begin Methods --------------------------*/

   public void add (int productKey, int qty) {
      add (Catalog. getProduct (productKey), qty);
   }

   public void add (Product product, int qty) {
      SelectedProduct selectedProduct = findInShoppingCart (product);
      if (selectedProduct == null) {
         selectedProduct = new SelectedProduct (product, 0, selectedProducts);
         selectedProducts. add (selectedProduct);
      }
      selectedProduct. quantitySelected += qty;
      if (selectedProduct. quantitySelected > product. quantityInStock)
         selectedProduct. quantitySelected = product. quantityInStock;
   }

   public void subtract (int productKey, int qty) {
      subtract (Catalog. getProduct (productKey), qty);
   }

   public void subtract (Product product, int qty) {
      SelectedProduct selectedProduct = findInShoppingCart (product);
      if (selectedProduct != null) {
         selectedProduct. quantitySelected -= qty;
         if (selectedProduct. quantitySelected <= 0) {
            selectedProducts. remove (selectedProduct);
         }
      }
   }

   public SelectedProduct findInShoppingCart (Product product) {
      Iterator it = selectedProducts. iterator ();
      while (it. hasNext ()) {
         SelectedProduct selectedProduct = (SelectedProduct) it. next ();
         if (selectedProduct. product == product)
            return selectedProduct;
      }
      return null;
   }

   public CurrencyDouble getSubTotal () {
      CurrencyDouble subTotal = new CurrencyDouble ();
      Iterator it = selectedProducts. iterator ();
      while (it. hasNext ()) {
         SelectedProduct selectedProduct = (SelectedProduct) it. next ();
         subTotal. val += selectedProduct. quantitySelected * selectedProduct. product. unitPrice. val;
      }
      return subTotal;
   }
   
   public CurrencyDouble getPrice (SelectedProduct selectedProduct) {
      CurrencyDouble price = new CurrencyDouble ();
      price. val = selectedProduct. product. unitPrice. val * selectedProduct. quantitySelected;
      return price;
   }

   public CurrencyDouble getSalesTax () {
      CurrencyDouble salesTax = new CurrencyDouble ();
      salesTax. val = getSubTotal (). val * 0.08;
      return salesTax;
   }

   public CurrencyDouble getTotal () {
      CurrencyDouble total = new CurrencyDouble ();
      total. val = getSubTotal (). val + getSalesTax (). val;
      return total;
   }

   public boolean checkOut () {
      return false;
   }

   /*-------------------------- End Methods ---------------------------*/

   /* End of ShoppingCart */
}