package com.acme.shoppingcart.model;

import javax.servlet.http.HttpSession;
import com.eknowlogie.aliorsum.UIFactory;

/** <p>This class represents an online store visit in the shopping cart 
    application.</p>
*/

public class StoreVisit {

   /*-------------------------- Begin Fields --------------------------*/

   public ShoppingCart shoppingCart;
   public Order order;

   /*--------------------------- End Fields ---------------------------*/

   /*----------------------- Begin Constructors -----------------------*/

   public StoreVisit () {
      shoppingCart = new ShoppingCart ();
   }

   /*------------------------ End Constructors ------------------------*/

   /*---------------------- Begin Static Methods ----------------------*/

   public static StoreVisit getStoreVisit (HttpSession session) {
      StoreVisit storeVisit = (StoreVisit) session. getAttribute ("storeVisit");
      if (storeVisit == null) {
         storeVisit = new StoreVisit ();
         session. setAttribute ("storeVisit", storeVisit);
         session. setAttribute (UIFactory. SESSION_NAME, Catalog. uif);
      }
      return storeVisit;
   }

   /*----------------------- End Static Methods -----------------------*/

   /*------------------------- Begin Methods --------------------------*/
   
   public Order initializeOrder () {
   	
      if (order == null) {
         order = new Order ();
      }
      order. billingInfo. netPrice = shoppingCart. getSubTotal ();
      order. billingInfo. salesTaxes = shoppingCart. getSalesTax ();
      order. billingInfo. getTotal ();
      order. shippingInfo = null;
      return order;
   }

   public void placeOrder () {
      order = new Order ();
      shoppingCart. checkOut ();
      order. placeOrder (shoppingCart);
   }
   
   public Order getOrder () { return order; }

   /*-------------------------- End Methods ---------------------------*/

   /* End of StoreVisit */
}