/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.aliorsum;

import java.util.Hashtable;

/** <p>This exception is used to report any integrity discrepancies found during the 
    validation of a composite object.  The main message of the exception is a validation 
    message that applies to the composite object itself.  The <code>fieldMessages</code>
    hash table is used to report messages for individual fields.  Sometimes these integrity 
    discrepancies can only be found during composite object validation though the discrepancy 
    more properly applies to a specific field and it is best reported in relation to such 
    field.</p>
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class InvalidState extends Exception {
	
   /** <p>This table entries (String fieldName, String message) provide validation messages 
       for individual fields of the composite object being validated.</p>
   */
	
   public Hashtable fieldMessages = new Hashtable ();
   
   public InvalidState () {}
   
   public InvalidState (String msg) {
      super (msg);
   }
   
   /* End of UIActivity */
}
