/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.aliorsum;

/** <p>This interface can be optionally implemented by classes in the domain model in 
    order to 1) verify the integrity of their internal state, 2) make corrective 
    asjustments if possible, and 3) report any remaining integrity violations.</p>
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public interface Validator {
	
   /** <p>This method can be optionally implemented by classes in the domain model in 
       order to 1) verify the integrity of their internal state, 2) make corrective 
       asjustments if possible, and 3) report any remaining integrity violations by throwing 
       an exception with detailed explanations.</p>
   */

   public boolean validate () throws InvalidState;
}
