/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.aliorsum.prefs;

import java.lang.reflect.Field;

import com.eknowlogie.aliorsum.UI;
import com.eknowlogie.aliorsum.UIFactory;

/** <p>This is a Boolean preference.</p> 
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class BooleanPref extends Pref {
	
   /*----------------------- Begin Constructors -----------------------*/
   
   
   /** {@inheritDoc} */
   
   public BooleanPref (String name) { super (name); }
   
   /** {@inheritDoc} */
   
   public BooleanPref (String name, boolean inheritable) { 
   	super (name, inheritable); 
   }
   
   /*------------------------ End Constructors ------------------------*/

   /*-------------------------- Begin Methods -------------------------*/
   
   /** <p>This method uses cascade preference selection to find if this boolean preference  
       value is true for the given recipient at "ui".</p>
   */
   
   public boolean isTrue (UI ui) {
      return ui. getFactory (). getBooleanPref (ui, this);
   }
   
   /** <p>This method uses cascade preference selection to find if this boolean preference  
       value is true for the given field inside the enclosing UI.</p>
       
       @see UIFactory#getPref(Field, Pref, UI)
   */
   
   public boolean isTrue (Field field, UI enclosingUI) { 
      return enclosingUI. getFactory (). getBooleanPref (field, this, enclosingUI);
   }
   
   /*--------------------------- End Methods --------------------------*/
   
   /* End of BooleanPref */
   
}
