/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.aliorsum.primitive;

import com.eknowlogie.aliorsum.ElementaryUI;

/** <p>This UI supports both elements of type float and Float.  That is 
    convenient because for a class field of type float, the reflective field 
    type (i.e. "field. getType ()") will be float, but the reflective extraction 
    of its value (i.e. "field. get (parentObject)") returns an object of type 
    Float.<p>
  
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class FloatUI extends ElementaryUI {

   /*------------------------- Begin Methods --------------------------*/
	
   public Object parse (String inputValue) {
      try { return Float. valueOf (inputValue); }
      catch (NumberFormatException e) {
     	 addValidation (INVALID_NUMERIC_FORMAT);
     	 return null;
      }
   }
    
   /*-------------------------- End Methods ---------------------------*/

   /* End of FloatUI */
}

