/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.aliorsum.primitive;

import com.eknowlogie.aliorsum.*;

/** <p>This UI supports both elements of type int and Integer.  That is 
    convenient because for a class field of type int, the reflective field 
    type (i.e. "field. getType ()") will be int, but the reflective extraction 
    of its value (i.e. "field. get (parentObject)") returns an object of type 
    Integer. This way, whichever type is used as key in the registry, will 
    return this instance.<p>
   
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class IntegerUI extends ElementaryUI {

   /*------------------------- Begin Methods --------------------------*/
   
   public Object parse (String inputValue) {
      try { return Integer. valueOf (inputValue); }
      catch (NumberFormatException e) {
     	 addValidation (INVALID_NUMERIC_FORMAT);
     	 return null;
      }
   }

   /*-------------------------- End Methods ---------------------------*/

   /* End of IntegerUI */
}

