/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.aliorsum.primitive;



import com.eknowlogie.aliorsum.UIFactory;
import com.eknowlogie.aliorsum.prefs.Prefs;
import com.eknowlogie.util.*;

/** <p>This class is used to register the core preferences for the Java primitive types 
    and Java standard elementary types.</p> 

    @author Romel Rivera, eKnowlogie. Inc.
*/

public class PrimitivePrefs {
	
   /** <p>This method registers the core preferences for the Java primitive types 
	   and Java standard elementary types.</p>
   */

   public static void register (UIFactory uif) {
   	
      uif. classPrefs(). register (String. class, Prefs. ELEMENTARY_UI_CLASS, StringUI. class);
      uif. classPrefs(). register (Integer. class, Prefs. ELEMENTARY_UI_CLASS, IntegerUI. class);
      uif. classPrefs(). register (int. class, Prefs. ELEMENTARY_UI_CLASS, IntegerUI. class);
      uif. classPrefs(). register (Float. class, Prefs. ELEMENTARY_UI_CLASS, FloatUI. class);
      uif. classPrefs(). register (float. class, Prefs. ELEMENTARY_UI_CLASS, FloatUI. class);
      uif. classPrefs(). register (Double. class, Prefs. ELEMENTARY_UI_CLASS, DoubleUI. class);
      uif. classPrefs(). register (double. class, Prefs. ELEMENTARY_UI_CLASS, DoubleUI. class);
      uif. classPrefs(). register (Boolean. class, Prefs. ELEMENTARY_UI_CLASS, BooleanUI. class);
      uif. classPrefs(). register (boolean. class, Prefs. ELEMENTARY_UI_CLASS, BooleanUI. class);
      uif. classPrefs(). register (EnumerationType. class, Prefs. ELEMENTARY_UI_CLASS, EnumerationRadioUI. class);
   }
   
   /* End of PrimitivePrefs */
}
