/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.business.aliorsum;

import java.math.BigDecimal;
import com.eknowlogie.aliorsum.UIFactory;
import com.eknowlogie.aliorsum.prefs.*;
import com.eknowlogie.business.model.*;

/** <p>This class is used to register the preferences for the business model objects.  
    The business layer is the lowest layer of model objects in a business application, 
    and it contains common business objects expected to be used by any business 
    application.</p> 
    
    @author Romel Rivera, eKnowlogie. Inc.
*/

public class BusinessPrefs {
	
   /** <p>This method registers the core preferences for the Java primitive types 
	   and Java standard elementary types.</p>
   */
	
   public static void register (UIFactory uif) {
      uif. classPrefs(). register (BigDecimal. class, Prefs. ELEMENTARY_UI_CLASS, BigDecimalUI. class);
      uif. classPrefs(). register (CurrencyDecimal. class, Prefs. ELEMENTARY_UI_CLASS, CurrencyDecimalUI. class);
      uif. classPrefs(). register (CurrencyDouble. class, Prefs. ELEMENTARY_UI_CLASS, CurrencyDoubleUI. class);
      uif. classPrefs(). register (CurrencyDecimal. class, Prefs. ACCESS, Access. READ_ONLY);
      uif. classPrefs(). register (CurrencyDouble. class, Prefs. ACCESS, Access. READ_ONLY);
      uif. classPrefs (). register (Phone. class, Prefs. ELEMENTARY_UI_CLASS, PhoneUI. class);
      uif. classPrefs (). register (Phone. class, Prefs. POP_UP, "business/Phone_PopUp.html");
      uif. classPrefs (). register (Phone. class, Prefs. TOOLTIP, "A phone number must always contain the area code. "
      		                                                      + " The only valid phone numbers are from the USA and Canada. " 
																  + " Other international phone numbers are not allowed.");
	  uif. classPrefs (). register (Key. class, Prefs. ACCESS, Access. HIDDEN);
      uif. fieldPrefs(). register ("addressLine2", Address. class, Prefs. IS_REQUIRED, false);
	  uif. fieldPrefs(). register ("fax", Address. class, Prefs. IS_REQUIRED, false);
   }

   /* End of BusinessPrefs */
}