/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.business.aliorsum;

import java.text.NumberFormat;
import java.util.Locale;

import com.eknowlogie.business.model.CurrencyDecimal;

/** <p>Class CurrencyDecimalUI implements presentation functions for elementary type 
    CurrencyDecimal.</p>

    @author Romel Rivera, eKnowlogie. Inc.
*/

public class CurrencyDecimalUI extends BigDecimalUI {
	
   /** <p>Wording for validation message for currency input. </p> */
	
   public static final String INVALID_CURRENCY_FORMAT = "Currency amount expected.";
   
   /** <p>Creates a new instance of this class and sets up the currency locale.</p> */
   
   public CurrencyDecimalUI () {
      numberFormat = NumberFormat. getCurrencyInstance (Locale. US); // TODO Internationalize
      validationMsg = INVALID_CURRENCY_FORMAT;
   }

   /*------------------------- Begin Methods --------------------------*/
   
   public boolean validate (String inputValue) {
      Double asDouble = (Double) parse (inputValue);
      if (asDouble == null) 
         return false;
      else {
         setValue (new CurrencyDecimal (asDouble. doubleValue ()));
         return true;
      }
   }
    
   /*-------------------------- End Methods ---------------------------*/

   /* End of CurrencyDecimalUI */
}

