/* 
   (C) Copyright 2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.business.aliorsum;

import java.lang.reflect.Field;
import com.eknowlogie.aliorsum.*;
import com.eknowlogie.aliorsum.primitive.StringUI;
import com.eknowlogie.business.model.Key;

/** <p>This elementary UI is used to render a string field as a hyperlink that points to the 
    home page for the composite object enclosing the field.  This object is assumed to be
    persistent and contain a key field of type {@link com.eknowlogie.business.model.Key}
    which value is used as a query parameter into the home page. The home page is assumed to 
    have the same name as the composite object's class.</p>

    @author Romel Rivera, eKnowlogie. Inc.
*/

public class HomePageHyperLinkUI extends StringUI { 
	
   public String format () {

      if (isReadOnly ()) {
         Object value = getValue ();
         if (value == null)
            return "";
         else {
         	Field f = enclosingUI. getField ("key");
         	int key = ((Key) Fields. getFieldValue (f, enclosingUI. getRecipient ())). val;
         	String page = Classes. getClassUnqualifiedName (enclosingUI. getRecipient ()) + ".jsp?key=" + key;
         	String html = "<a href = \"" + page + "\">" + value. toString () + "</a>";
         	return html;
         }
      }
      else {
         return super. format ();
      }
   }
}
