/* 
   (C) Copyright 2002-2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.util;

/**
    <p>This class provides operations on strings.</p>
*/

public class Strings {

   /*------------------------- Begin Methods --------------------------*/
    
   /** <p>This method returns the substring found after the last occurrence of
       delimiter or the entire source string if the delimiter is not found.</p>
   */

   public static String lastSubString (String source, String delimiter) {
      int beginIndex = source. lastIndexOf (delimiter);
      if (beginIndex == -1)
         return source;
      else beginIndex += delimiter. length ();
      return source. substring (beginIndex, source. length ());
   }

   /** <p>This method returns an output string created from the input string
       where all occurrences of string <code>searchS</code> are replaced with
       string <code>replaceS</code>.</p>
   */

   public static String findAndReplace (String inputS, String searchS, String replaceS) {

      int endPrevMatchIx = 0;
      int beginCurrMatchIx = inputS. indexOf (searchS, endPrevMatchIx);
      StringBuffer outputBuffer = new StringBuffer ();
      while (beginCurrMatchIx != -1) {
         outputBuffer. append (inputS. substring (endPrevMatchIx, beginCurrMatchIx));
         outputBuffer. append (replaceS);
         endPrevMatchIx = beginCurrMatchIx + searchS. length ();
         beginCurrMatchIx = inputS. indexOf (searchS, endPrevMatchIx);
      }
      outputBuffer. append (inputS. substring (endPrevMatchIx, inputS. length ()));
      return outputBuffer. toString ();
   }

   /** <p>This method returns an output string created from the input string
       where the first occurance of string <code>searchS</code> is replaced with
       string <code>replaceS</code>.</p>
   */

   public static String findAndReplaceOne (String inputS, String searchS, String replaceS) {

      int endPrevMatchIx = 0;
      int beginCurrMatchIx = inputS. indexOf (searchS, endPrevMatchIx);
      StringBuffer outputBuffer = new StringBuffer ();
      if (beginCurrMatchIx != -1) {
         outputBuffer. append (inputS. substring (endPrevMatchIx, beginCurrMatchIx));
         outputBuffer. append (replaceS);
         endPrevMatchIx = beginCurrMatchIx + searchS. length ();
         beginCurrMatchIx = inputS. indexOf (searchS, endPrevMatchIx);
      }
      outputBuffer. append (inputS. substring (endPrevMatchIx, inputS. length ()));
      return outputBuffer. toString ();
   }

   
   public static String removeNonNumeric (String text) {
      StringBuffer result = new StringBuffer ();
      for (int ix = 0; ix < text. length (); ix ++) {
         char ch = text. charAt (ix);
         if (Character. isDigit (ch)) {
            result. append (ch);
         }
      }
      return result. toString ();
   }

   /*-------------------------- End Methods ---------------------------*/

   /* End of Strings */
}