/* 
   (C) Copyright 2002-2004 eKnowlogie Inc., All rights reserved.
   eKnowlogie Proprietary / Confidential.  Use is subject to license terms.
*/

package com.eknowlogie.util;

/** <p>Provides conversions from String, int, double, boolean
    to String, int, double, boolean.</p>
*/

public class Value {

   /*-------------------------- Begin Fields --------------------------*/

   /** <p>This is used as the initial value for a variable of type int, and it is
       used to symbolize that the variable is yet undefined.  This is needed only
       for variables that are being tested with the ColdFusion-style method
       "isDefined".</p>
    */

   public static int defaultInt = Integer. MIN_VALUE;

   /** <p>This is used as the initial value for a variable of type double, and it is
       used to symbolize that the variable is yet undefined.  This is needed only
       for variables that are being tested with the ColdFusion-style method
       "isDefined".</p>
   */

   public static double defaultDouble = Double. MIN_VALUE;

   /*--------------------------- End Fields ---------------------------*/

   /*------------------------- Begin Methods --------------------------*/
   
   /** @rule if a string is "YES" or "TRUE" or a non-zero number (ignoring the case), it evaluates to true as a boolean,
       otherwise it evaluates to false.
   */

   static public boolean getBoolean (String s) {
      if ("YES". equalsIgnoreCase (s) || "TRUE". equalsIgnoreCase (s))
         return true;
      if ("NO". equalsIgnoreCase (s) || "FALSE". equalsIgnoreCase (s))
         return false;

      try {
         return Double.parseDouble(s) != 0;
      }
      catch (NumberFormatException nfe) {
         throw new Error (nfe. getMessage ());
      }
   }

   static public double getDouble (String s) {
      if (s == null || s. length () == 0)
         return defaultDouble;
      try {
         return Double. parseDouble (s);
      } catch (NumberFormatException nfe) {
         throw nfe;
      }
   }

   static public int getInt (String s) {
      if (s == null || s. length () == 0)
         return defaultInt;
      try {
         return Integer. parseInt (s);
      }
      catch (NumberFormatException e) {
         throw new Error (e. getMessage ());
      }
   }
   
   /*-------------------------- End Methods ---------------------------*/

   /* End of Value */
}